:root {
  --sound-games-black: rgb(34, 34, 34);
}

.top-navigation-menu {
  background-color: var(--sound-games-black);
}

.top-navigation-menu a {
  text-decoration: none;
}

.top-navigation-menu .logo-link {
  text-align: center;
}

.error-box .logo {
  animation: angry-shake 0.5s;
  animation-iteration-count: infinite;
}

.stacktrace {
  background-color: #ccc;
}

.nerd-stacktrace {
  margin-top: 200px;
}

@media (prefers-reduced-motion) {
  .error-box .logo {
    animation: none;
  }
}

@keyframes angry-shake {
  0% {
    transform: translate(1px, 1px) rotate(0deg);
  }
  10% {
    transform: translate(-1px, -2px) rotate(-1deg);
  }
  20% {
    transform: translate(-3px, 0px) rotate(1deg);
  }
  30% {
    transform: translate(3px, 2px) rotate(0deg);
  }
  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }
  50% {
    transform: translate(-1px, 2px) rotate(-1deg);
  }
  60% {
    transform: translate(-3px, 1px) rotate(0deg);
  }
  70% {
    transform: translate(3px, 1px) rotate(-1deg);
  }
  80% {
    transform: translate(-1px, -1px) rotate(1deg);
  }
  90% {
    transform: translate(1px, 2px) rotate(0deg);
  }
  100% {
    transform: translate(1px, -2px) rotate(-1deg);
  }
}

.form-inline {
  display: inline-block;
}

.inline-list {
  display: inline;
  list-style: none;
  padding: 0px;
}

.inline-list li {
  display: inline;
}

.inline-list li::after {
  content: ", ";
}

.inline-list li:last-child::after {
  content: "";
}

.remove-filter-link {
  text-decoration: none;
}

button.htmx-request .bi {
  display: inline-block;
  animation: pulse 1s infinite ease-in-out alternate;
}

@keyframes pulse {
  from {
    transform: scale(0.8);
  }
  to {
    transform: scale(1.2);
  }
}

.tableview-sort-link:not(.active-sort) .tableview-sort-direction {
  visibility: hidden;
}

.tableview-sort-link:hover .tableview-sort-direction {
  visibility: visible;
}


/* Priority lists */
:root {
  --priority-high-color: #d2fc78;
  --priority-impossible-color: #f9a171;
  --priority-low-color: #fcd275;
  --priority-medium-color: #fffe78;
  --priority-veryhigh-color: #78fd77;
}

.priority-high {
  --priority-color: var(--priority-high-color);
}
.priority-impossible {
  --priority-color: var(--priority-impossible-color);
}

.priority-low {
  --priority-color: var(--priority-low-color);
}

.priority-medium {
  --priority-color: var(--priority-medium-color);
}

.priority-veryhigh {
  --priority-color: var(--priority-veryhigh-color);
}

span.priority-badge {
  background-color: var(--priority-color);
  color: color-contrast(var(--priority-color) vs var(--bs-body-color));
}

.tiny-warning {
  font-size: 0.8em;
}

.game-preview-image {
    max-width: 100%;
}

.metric-count span {
    display: block;
}

.list-container table {
  margin-bottom: 0;
}

.scout-games-list table td:first-of-type {
  width: 240px;
  text-align: center;
}

@media screen and (min-width: 700px) {
  /* Title column */
  .scout-games-list table td:nth-child(2) {
    width: 30%;
  }

  /* Revenue column */
  .scout-games-list table td:nth-child(3) {
    width: 150px;
  }

}

.capsule-image {
  background-color: #dee2e6;
}

.profile-link {
  text-decoration: none;
  color: inherit;
}

.badge-click-copy {
    cursor: pointer;
}
